| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Create an applicant
To create an applicant, pass the required attributes and you are ready to go.
-
All attribute keys must be at the root level.
-
Required attributes:
name,email,phone_number; -
emailmust be a valid e-mail address; -
phone_numbermust be a string; -
Date parameters provided in the
dataandsecure_datacollections must be strings following ISO 8601 standard formats (e.g.start_date:"YYYY-MM-DD") -
If the account has WhatApp enabled, set
phone_platform:whats_app
Note for Funnel IDAlthough
funnel_idis not required, applicants created without a specifiedfunnel_idwill be placed in the first opening ever created in the account.Use the
funnel_idparameter to indicate which opening the applicant should be created within. Use the GET List All Openings method to retrieve the unique Funnel IDs in your account.
Only the following specific types of secure data are supported. They can be sent to Fountain through a standard POST request if sent as as 'secure_data[ethnicity]'.
Secure FieldsYou can also add secure fields by passing in a secure_data array along with the standard data array. These fields are encrypted in our system, so you should use them for personally identifiable and sensitive information like SSN, driver's license numbers, etc. Supported fields include:
- gender
- ethnicity
- citizenship
- can_work_in_us
- religious_preference
- income_salary
- income_income_tax_dollar_amount
- income_ss_tax
- income_medicare_tax
- income_taxpayer_identification_number
- driver_license_number
- driver_license_expiration_date
- driver_license_state
- ssn
- national_identification_number
- insurance_type
- insurance_benefactor_first_name
- insurance_benefactor_middle_name
- insurance_benefactor_last_name
- insurance_member_id
- insurance_company_group_id
- insurance_company_of_issue
- insurance_country_of_issue
- insurance_city_of_issue
- insurance_issue_date
- insurance_expiration_date
- bank_name
- bank_routing_number
- bank_account_number
- passport_number
- passport_country_of_issue
- passport_city_of_issue
- passport_issue_date
- passport_expiration_date
- vehicle_make
- vehicle_model
- vehicle_year
- vehicle_registration_plate_number
- vehicle_vin_number
Response Schema
- additionalProperties: false
-
id
- Required: yes
- Type: string
- Example: "e8e4edc5-096c-47ea-b682-f77c6c4462dd"
-
email
- Required: yes
- Type: string
- Example: "[email protected]"
-
name
- Required: yes
- Type: string
- Example: "John Smith"
-
first_name
- Required: yes
- Type: string
- Example: "John"
-
last_name
- Required: yes
- Type: string
- Example: "Smith"
-
phone_number
- Required: yes
- Type: string
- Example: "5034834844"
-
normalized_phone_number
- Required: yes
- Type: string
- Example: "+15034834844"
-
receive_automated_emails
- Required: yes
- Type: boolean
- Example: true
-
is_duplicate
- Required: no
- Type: boolean
- Example: true
-
data
-
created_at
- Required: yes
- Type: string
- Format: date-time
- Example: "2015-06-05T05:53:46.749-07:00"
-
updated_at
- Required: yes
- Type: string
- Format: date-time
- Example: "2015-06-05T05:54:46.749-07:00"
-
last_transitioned_at
- Required: yes
- Type: string
- Format: date-time
- Example: "2015-06-05T05:53:42.752-07:00"
- funnel
-
can_receive_sms
- Required: yes
- Type: boolean
- Example: false
-
phone_platform
- Required: yes
- Type: string
- Example: "sms"
-
partner_data
- Required: yes
- Type: array
-
Items
- Required: no
- additionalProperties: false
-
description
- Required: no
- Type: string
- Example: ""
-
type
- Required: no
- Type: string
- Example: "object"
-
example
- Required: no
- Type: array
- stage
-
background_checks
- Required: yes
- Type: array
-
Items
- Required: no
- additionalProperties: false
-
title
- Required: yes
- Type: string
- Example: "Driver license check"
-
status
- Required: yes
- Type: string
- Example: "pending"
-
vendor
- Required: yes
- Type: string
- Example: "checkr"
-
candidate_id
- Required: yes
- Type: string
- Example: "e44aa283528e6fde7d542194"
-
report_id
- Required: yes
- Type: string
- Example: "4722c07dd9a10c3985ae432a"
-
document_signatures
- Required: yes
- Type: array
-
Items
- Required: no
- additionalProperties: false
-
vendor
- Required: yes
- Type: string
- Example: "hellosign"
-
signature_id
Vendor-specific signature ID
- Required: yes
- Type: string
- Example: "123dfdsf"
-
status
Status of this request (opened, signed or admin_reviewed)
- Required: yes
- Type: string
- Example: "signed"
-
labels
- Required: yes
- Type: array
-
Items
- Required: no
- additionalProperties: false
-
title
- Required: yes
- Type: string
- Example: "Label-0"
-
completed
- Required: yes
- Type: boolean
- Example: false
-
completed_at
- Required: no
- Type: string
- Example: "2017-01-01T14:40:30.873-08:00"
-
file_upload_requests
- Required: yes
- Type: array
-
Items
Recollection Requests
- Required: no
- additionalProperties: false
-
id
- Required: no
- Type: string
- Example: 55
-
created_at
- Required: no
- Type: string
- Example: "2017-01-01T14:40:30.873-08:00"
-
recollection_reason
- Required: no
- Type: string
- Example: "blurry"
- document_name: {"description"=>"", "type"=>"string", "example"=>"driver_license"}
-
addresses
- Required: no
- Type: array
-
Items
Applicant Addresses
- Required: no
- additionalProperties: false
-
street_name
- Required: no
- Type: string
- Example: "11718 Selkirk Drive"
-
address_2
- Required: no
- Type: string
- Example: "Apartment 101"
-
city
- Required: no
- Type: string
- Example: "Austin"
-
state
- Required: no
- Type: string
- Example: "Texas"
-
zipcode
- Required: no
- Type: string
- Example: 78756
-
country
- Required: no
- Type: string
- Example: "US"
-
latitude
- Required: no
- Type: number
- Example: 60
-
longitude
- Required: no
- Type: number
- Example: 128
-
date_of_birth
- Required: no
- Type: string
- Format: date YYYY-MM-DD
- Example: 1994-02-19
-
work_availability
- Required: no
- Type: string
- Example: "monday_morning"
- Enum: sunday_morning, sunday_afternoon, sunday_evening, monday_morning, monday_afternoon, monday_evening, tuesday_morning, tuesday_afternoon, tuesday_evening, wednesday_morning, wednesday_afternoon, wednesday_evening, thursday_morning, thursday_afternoon, thursday_evening, friday_morning, friday_afternoon, friday_evening, saturday_morning, saturday_afternoon, saturday_evening
-
country
See Alpha-2 codes: https://en.wikipedia.org/wiki/ISO_3166-1
- Required: no
- Type: string
- Example: "US"
-
city
- Required: no
- Type: string
- Example: "New York"
-
street
- Required: no
- Type: string
- Example: "Main street"
-
state
See USPS codes: https://en.wikipedia.org/wiki/List_of_U.S._state_abbreviations
- Required: no
- Type: string
- Example: "CA"
-
zipcode
- Required: no
- Type: string
- Example: 77777
-
gender
- Required: no
- Type: string
- Example: "Male"
-
ethnicity
- Required: no
- Type: string
- Example: "Native American"
-
citizenship
See Alpha-2 codes: https://en.wikipedia.org/wiki/ISO_3166-1
- Required: no
- Type: string
- Example: "US"
-
can_work_in_us
- Required: no
- Type: boolean
- Example: true
-
desired_hours_per_week
- Required: no
- Type: integer
- Example: 40
-
desired_employment_duration
- Required: no
- Type: string
- Example: "6-12 months"
-
education
- Required: no
- Type: string
- Example: "High school diploma"
-
ssn
- Required: no
- Type: string
- Example: "333-22-4444"
-
national_identification_number
- Required: no
- Type: string
- Example: "AA11111111"
-
previous_work
- Required: no
- Type: string
- Example: "Previous work text"
-
have_prior_experience
- Required: no
- Type: boolean
- Example: false
-
referral_source
- Required: no
- Type: string
- Example: "Google"
-
have_transportation
- Required: no
- Type: boolean
- Example: false
-
income_salary
- Required: no
- Type: number
- Example: 10000
-
income_income_tax_dollar_amount
- Required: no
- Type: number
- Example: 10000
-
income_ss_tax
- Required: no
- Type: number
- Example: 10
-
income_medicare_tax
- Required: no
- Type: number
- Example: 10
-
income_taxpayer_identification_number
- Required: no
- Type: string
- Example: "AA11111111"
-
bank_name
- Required: no
- Type: string
- Example: "Bank name"
-
bank_routing_number
- Required: no
- Type: string
- Example: "123456789"
-
bank_account_number
- Required: no
- Type: string
- Example: "123456789"
-
vehicle_make
- Required: no
- Type: string
- Example: "Honda"
-
vehicle_model
- Required: no
- Type: string
- Example: "Civic"
-
vehicle_year
- Required: no
- Type: integer
- Example: 1985
-
vehicle_registration_plate_number
- Required: no
- Type: string
- Example: "AA00AAA"
-
vehicle_vin_number
- Required: no
- Type: string
- Example: "AA1AA123A1A123456"
-
driver_license_number
- Required: no
- Type: string
- Example: "A000-1234-5678-90"
-
driver_license_expiration_date
- Required: no
- Type: string
- Format: date
- Example:
-
driver_license_state
- Required: no
- Type: string
- Example: "CA"
-
linkedin
- Required: no
- Type: string
- Example: "https://linkedin.com/applicant.nickname"
-
facebook
- Required: no
- Type: string
- Example: "https://www.facebook.com/applicant.nickname"
-
twitter
- Required: no
- Type: string
- Example: "https://www.twitter.com/applicant.nickname"
-
did_apply_multiple_times
- Required: no
- Type: boolean
- Example: false
-
why_should_we_hire_you
- Required: no
- Type: string
- Example: "You should hire me because.."
-
success_in_job
- Required: no
- Type: string
- Example: "My success in job.."
-
earnings_expectations
- Required: no
- Type: number
- Example: 3000
-
team_or_solo
- Required: no
- Type: string
- Example: "On my own"
-
emergency_contact_name
- Required: no
- Type: string
- Example: "John Smith"
-
emergency_contact_phone
- Required: no
- Type: string
- Example: "+11111111111"
-
emergency_contact_relationship
- Required: no
- Type: string
- Example: "other"
-
certifications_licenses
- Required: no
- Type: string
- Example: "Aircraft certification"
-
first_language
- Required: no
- Type: string
- Example: "English"
-
other_languages
- Required: no
- Type: string
-
Example:
[ "Spanish", "Chinese" ]
-
insurance_type
- Required: no
- Type: string
- Example: "Medical"
-
insurance_benefactor_first_name
- Required: no
- Type: string
- Example: "John"
-
insurance_benefactor_middle_name
- Required: no
- Type: string
- Example: "Michael"
-
insurance_benefactor_last_name
- Required: no
- Type: string
- Example: "Smith"
-
insurance_member_id
- Required: no
- Type: string
- Example: 111111111
-
insurance_company_group_id
- Required: no
- Type: string
- Example: 111111111
-
insurance_company_of_issue
- Required: no
- Type: string
- Example: "Some Company"
-
insurance_country_of_issue
See Alpha-2 codes: https://en.wikipedia.org/wiki/ISO_3166-1
- Required: no
- Type: string
- Example: "US"
-
insurance_city_of_issue
- Required: no
- Type: string
- Example: "New York"
-
insurance_issue_date
- Required: no
- Type: string
- Format: date
- Example:
-
insurance_expiration_date
- Required: no
- Type: string
- Format: date
- Example:
-
passport_number
- Required: no
- Type: string
- Example: "12345678"
-
passport_country_of_issue
See Alpha-2 codes: https://en.wikipedia.org/wiki/ISO_3166-1
- Required: no
- Type: string
- Example: "US"
-
passport_city_of_issue
- Required: no
- Type: string
- Example: "New York"
-
passport_issue_date
- Required: no
- Type: string
- Format: date
- Example:
-
passport_expiration_date
- Required: no
- Type: string
- Format: date
- Example:
-
portal_url
- Required: yes
- Type: string
- Example: "https://www.fountain.com/portal/obiq/applicant_result/f2356488-a72d-4674-863e-51afeba26b6f"
